Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::lazy_yield_if_fn Struct Reference
Views

## Synopsis of methods
constexpr lazy_yield_if_fn | lazy_yield_if {}

## Public Member Functions
template<typename F >
generate_n_view< F > | operator() (bool b, F f) const

## Member Function Documentation

## ◆ operator()()

template<typename F >

generate_n_view<F> ranges::lazy_yield_if_fn::operator() | ( | bool | b,
|  | F | f
| ) |  | const

Precondition
  requires `invocable<F &>`